libpam-mount_2.14-1.1_amd64.deb


Advertisement

Description

libpam-mount - PAM module that can mount volumes for a user session

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpam-mount
Package version 2.14
Package release 1.1
Package architecture amd64
Package type deb
Installed size 399 B
Download size 114.20 KB
Official Mirror ftp.br.debian.org
This module is aimed at environments with central file servers that a
user wishes to mount on login and unmount on logout, such as
(semi-)diskless stations where many users can logon.
The module also supports mounting local filesystems of any kind the
normal mount utility supports, with extra code to make sure certain
volumes are set up properly because often they need more than just a
mount call, such as encrypted volumes. This includes SMB/CIFS, FUSE,
dm-crypt and LUKS.

Alternatives

Package Version Architecture Repository
libpam-mount_2.14-1.1_i386.deb 2.14 i386 Debian Main
libpam-mount - - -

Requires

Name Value
base-files >= 6.4
libc6 >= 2.14
libcryptsetup4 >= 2:1.4
libhx28 -
libmount1 >= 2.19.1
libpam-runtime >= 1.0.1-6
libpam0g >= 0.99.7.1
libpcre3 >= 1:8.35
libssl1.0.0 >= 1.0.0
libxml2 >= 2.7.4
mount >= 2.12-3

Conflicts

Name Value
dmsetup << 2:1.02.48-1
libncp << 2.2.0.19.10

Download

Type URL
Binary Package libpam-mount_2.14-1.1_amd64.deb
Source Package libpam-mount

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-mount deb package:
    # sudo apt-get install libpam-mount

Files

Path
/etc/security/pam_mount.conf.xml
/etc/selinux/strict/src/policy/file_contexts/misc/pam_mount.fc
/etc/selinux/strict/src/policy/macros/pam_mount_macros.te
/lib/libcryptmount.so.0
/lib/libcryptmount.so.0.0.0
/lib/pkgconfig/libcryptmount.pc
/lib/security/pam_mount.so
/sbin/mount.crypt
/sbin/mount.crypt_LUKS
/sbin/mount.crypto_LUKS
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
/usr/bin/pmt-fd0ssh
/usr/bin/pmt-ofl
/usr/include/libcryptmount.h
/usr/sbin/pmt-ehd
/usr/sbin/pmvarrun
/usr/share/doc/libpam-mount/NEWS.Debian.gz
/usr/share/doc/libpam-mount/README.Debian
/usr/share/doc/libpam-mount/bugs.txt.gz
/usr/share/doc/libpam-mount/changelog.Debian.gz
/usr/share/doc/libpam-mount/changelog.gz
/usr/share/doc/libpam-mount/copyright
/usr/share/doc/libpam-mount/faq.txt.gz
/usr/share/doc/libpam-mount/options.txt
/usr/share/doc/libpam-mount/pam_mount.txt.gz
/usr/share/doc/libpam-mount/todo.txt
/usr/share/lintian/overrides/libpam-mount
/usr/share/man/man1/pmt-fd0ssh.1.gz
/usr/share/man/man1/pmt-ofl.1.gz
/usr/share/man/man5/pam_mount.conf.5.gz
/usr/share/man/man8/mount.crypt.8.gz
/usr/share/man/man8/mount.crypt_LUKS.8.gz
/usr/share/man/man8/mount.crypto_LUKS.8.gz
/usr/share/man/man8/pam_mount.8.gz
/usr/share/man/man8/pmt-ehd.8.gz
/usr/share/man/man8/pmvarrun.8.gz
/usr/share/man/man8/umount.crypt.8.gz
/usr/share/man/man8/umount.crypt_LUKS.8.gz
/usr/share/man/man8/umount.crypto_LUKS.8.gz
/usr/share/pam-configs/libpam-mount
/usr/share/xml/pam_mount/dtd/pam_mount.conf.xml.dtd

Changelog

2014-12-23 - Christian Kastner <debian@kvr.at>
libpam-mount (2.14-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Backport upstream's patch dropping the -p0 mount option. It is no
longer available in util-linux >= 2.23. i(Closes: #764451)
2013-08-31 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14-1) unstable; urgency=low
* New upstream release.
2013-07-24 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit3+966c6bea-3) unstable; urgency=low
* New patch 012-groups-malloc-check
Fixes the groups malloc error check.
* Updated README.Debian (Closes: #705710)
2013-06-27 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit3+966c6bea-2) unstable; urgency=low
* New patch 011-pmvarrun-no-l0g:
Do not use l0g() function in pmvarrun, it segfaults.
2013-06-25 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit3+966c6bea-1) unstable; urgency=low
* New upstream git snapshot.
* Add missing crypto libs to mount.crypt (Closes: #713621)
2013-01-15 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit2+aa0d624e-2) unstable; urgency=low
* Suggest fuse instead of fuse-utils.
Closes: #698182
2012-11-09 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit2+aa0d624e-1) unstable; urgency=low
* New git upstream snapshot.
2012-08-09 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~zgit1+ad53f3559-1) unstable; urgency=low
* New git upstream snapshot.
* Added patch disallow-luserconf-path: do not allow setting of PATH
in user-owned configuration files.
2012-03-31 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~git+d1d6f871-1) unstable; urgency=low
* New git upstream snapshot.
* New Standards version 3.9.3.
2012-01-16 - Bastian Kleineidam <calvin@debian.org>
libpam-mount (2.14~gited542159-2) unstable; urgency=low
* Added patch fix-mount-crypt-fork-bomb: specifying "fstype=crypt"
to mount.crypt is now ignored.
(Closes: #649126)

See Also

Package Description
libpam-mysql_0.7~RC1-4+b3_amd64.deb PAM module allowing authentication from a MySQL server
libpam-nufw_2.4.3-3.1_amd64.deb The authenticating firewall [PAM module]
libpam-oath_2.4.1-1_amd64.deb OATH Toolkit libpam_oath PAM module
libpam-ocaml-dev_1.1-4+b4_amd64.deb OCaml bindings for the PAM library (development files)
libpam-ocaml_1.1-4+b4_amd64.deb OCaml bindings for the PAM library (runtime)
libpam-openafs-kaserver_1.6.9-2+deb8u7_amd64.deb AFS distributed filesystem kaserver PAM module
libpam-otpw_1.3-2_amd64.deb Use OTPW for PAM authentication
libpam-p11_0.1.5-4_amd64.deb PAM module for using PKCS#11 smart cards
libpam-passwdqc_1.3.0-1_amd64.deb PAM module for password strength policy enforcement
libpam-pgsql_0.7.3.2-1_amd64.deb PAM module to authenticate using a PostgreSQL database
libpam-pkcs11_0.6.8-4_amd64.deb Fully featured PAM module for using PKCS#11 smart cards
libpam-poldi_0.4.1-3+b1_amd64.deb PAM module allowing authentication using a OpenPGP smartcard
libpam-pwdfile_1.0-1_amd64.deb PAM module allowing authentication via an /etc/passwd-like file
libpam-pwquality_1.2.3-1_amd64.deb PAM module to check password strength
libpam-python-doc_1.0.4-1_all.deb Documentation for the bindings provided by libpam-python
Advertisement
Advertisement